CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

TextHeight 属性 (ActiveX)

2023-1-3 04:05| 发布者: admin| 查看: 184| 评论: 0|来自: AutoCAD

摘要: 指定尺寸或公差文本的高度。

指定尺寸或公差文本的高度。

支持的平台:仅窗口

签名

工 务 局:

object.TextHeight
对象

类型:暗三点角度,暗对齐,暗角,暗弧长度,暗直径,尺寸,暗坐标,径向,暗径大,暗旋转MLeader,MLeader风格,公差

此属性适用的对象。

属性值

只读:

类型:

标注文本的高度。

言论

此属性的初始值为 0.1800。

如果当前文本样式具有固定的文本高度,则忽略此属性。

注意:此属性将覆盖给定维度的 DIMTXT 系统变量的值。

例子

工 务 局:

Sub Example_TextHeight()
    ' This example creates an aligned dimension in model space and
    ' uses the TextHeight property to increase the height of the
    ' dimension text

    Dim dimObj As AcadDimAligned
    Dim point1(0 To 2) As Double, point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    
    ' Define the dimension
    point1(0) = 5: point1(1) = 5: point1(2) = 0
    point2(0) = 5.5: point2(1) = 5: point2(2) = 0
    location(0) = 5: location(1) = 7: location(2) = 0
    
    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    ThisDrawing.Application.ZoomAll

    ' Read and display current dimension text height
    MsgBox "The dimension text height for this object is currently set to: " & dimObj.textHeight

    ' Increase the distance of the dimension gap
    dimObj.TextHeight = 1
    ThisDrawing.Regen acAllViewports
    
    ' Read and display current dimension text height
    MsgBox "The dimension text height for this object is now set to: " & dimObj.textHeight
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_TextHeight()
    ;; This example creates an aligned dimension in model space and
    ;; uses the TextHeight property to increase the height of the
    ;; dimension text
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the dimension
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 5.5 5 0)
          location (vlax-3d-point 5 7 0))
    
    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    (vla-ZoomAll acadObj)

    ;; Read and display current dimension text height
    (alert (strcat "The dimension text height for this object is currently set to: " (rtos (vla-get-TextHeight dimObj) 2)))

    ;; Increase the distance of the dimension gap
    (vla-put-TextHeight dimObj 1)
    (vla-Regen doc acAllViewports)
    
    ;; Read and display current dimension text height
    (alert (strcat "The dimension text height for this object is now set to: " (rtos (vla-get-TextHeight dimObj) 2)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 09:07

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部